package cn.pluss.platform.vo;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

/**
 * @author yuchen
 *
 * @Description
 */
public class FansConsumVO {

	private Integer id;
	private String logo;
	private String nickName;
	private Double consumMoney;
	private String merchantCode;
	private String merchantName;
	@DateTimeFormat(pattern = "yyyy-MM-dd hh:mm:ss")
	private Date consumTime;
	private String orderNumber;
	private String lastMerchantName;
	private String shareMoney;
	@DateTimeFormat(pattern = "yyyy-MM-dd hh:mm:ss")
	private Date lastconsumTime;
	private String lastOrderNumber;
	private String payWay;
	private Double aliConsum;
	private Double wechatConsum;
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getLogo() {
		return logo;
	}
	public void setLogo(String logo) {
		this.logo = logo;
	}
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	public Double getConsumMoney() {
		return consumMoney;
	}
	public void setConsumMoney(Double consumMoney) {
		this.consumMoney = consumMoney;
	}
	public String getMerchantCode() {
		return merchantCode;
	}
	public void setMerchantCode(String merchantCode) {
		this.merchantCode = merchantCode;
	}
	public String getMerchantName() {
		return merchantName;
	}
	public void setMerchantName(String merchantName) {
		this.merchantName = merchantName;
	}
	public Date getConsumTime() {
		return consumTime;
	}
	public void setConsumTime(Date consumTime) {
		this.consumTime = consumTime;
	}
	public String getOrderNumber() {
		return orderNumber;
	}
	public void setOrderNumber(String orderNumber) {
		this.orderNumber = orderNumber;
	}
	public String getLastMerchantName() {
		return lastMerchantName;
	}
	public void setLastMerchantName(String lastMerchantName) {
		this.lastMerchantName = lastMerchantName;
	}
	public String getShareMoney() {
		return shareMoney;
	}
	public void setShareMoney(String shareMoney) {
		this.shareMoney = shareMoney;
	}
	public Date getLastconsumTime() {
		return lastconsumTime;
	}
	public void setLastconsumTime(Date lastconsumTime) {
		this.lastconsumTime = lastconsumTime;
	}
	public String getLastOrderNumber() {
		return lastOrderNumber;
	}
	public void setLastOrderNumber(String lastOrderNumber) {
		this.lastOrderNumber = lastOrderNumber;
	}
	public String getPayWay() {
		return payWay;
	}
	public void setPayWay(String payWay) {
		this.payWay = payWay;
	}
	public Double getAliConsum() {
		return aliConsum;
	}
	public void setAliConsum(Double aliConsum) {
		this.aliConsum = aliConsum;
	}
	public Double getWechatConsum() {
		return wechatConsum;
	}
	public void setWechatConsum(Double wechatConsum) {
		this.wechatConsum = wechatConsum;
	}
	
	

}
